
QGIS Application - Bug report #21828

Crash on switching back and forth between junction and and dot-object tool

2019-04-10 03:49 PM - Manuel du Bois

Status: Open

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29643

Description

QGis crashed and printed this report, when I was switching back and forth between junction and and dot-object tool.

Crash ID: 76a9c0a9b4b2bd92fae4372c60156ed873d1fdd5

Stack Trace

QWidget::show :

QgsVertexTool::highlightAdjacentVertex :

QTimer::timeout :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2
Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 21503: QGIS 3.6 crashing while edi... Closed 2019-03-06

History

#1 - 2019-04-10 04:28 PM - Giovanni Manghi

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Easy fix? set to No

- Regression? set to No

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to 3.6.1

- Priority changed from Normal to High

- Category changed from Any to Unknown

I'm not sure what the "junction and and dot-object tools" are, can you detail?

also try with a new/clean qgis profile.

#2 - 2019-04-10 07:12 PM - Jürgen Fischer

- Related to Bug report #21503: QGIS 3.6 crashing while editing and digitizing line features added

2025-04-27 2/2


